> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List broker API keys for a given user.

> Retrieve all Broker API keys associated with the authenticated user's funder account. Returns a list of broker-funder relationships with their corresponding API keys.




## OpenAPI

````yaml https://app.herondata.io/swagger get /api/broker_submissions/api_keys
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker_submissions/api_keys:
    get:
      tags:
        - BrokerSubmissions
      summary: List broker API keys for a given user.
      description: >
        Retrieve all Broker API keys associated with the authenticated user's
        funder account. Returns a list of broker-funder relationships with their
        corresponding API keys.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  properties:
                    broker:
                      description: The broker's name
                      type: string
                    broker_funder_api_key_heron_id:
                      description: The API key's unique identifier
                      type: string
                    broker_funder_api_key_token:
                      description: The API key token
                      type: string
                  type: object
                type: array
          description: OK
        '404':
          description: Funder account not found for the authenticated user
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````